﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="PanelBar_Examples_ApplicationScenarios_OutlookNavigation_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>

    <script type="text/javascript">
	var blnDragging = false;
	function OnClientItemClicking(sender, eventArgs)
	{
		var multipage=$find("RadMultiPage1");
		multipage.set_selectedIndex(eventArgs.get_item().get_index());
	}
	function BeforeDragHandler()
	{
		blnDragging = true;
	}
	
	function BeforeDropHandler()
	{
		blnDragging = false;	
	}
    </script>

    <style type="text/css">
	body, html, form
	{
		height: 100%;
		overflow: hidden;
		padding: 0px;
		margin: 0px;
	}
	</style>
    <link rel="stylesheet" href="styles.css" type="text/css" />
</head>
<body>

    <script type="text/javascript">
    function panelMouseOver(sender, eventArgs)
    {
	    if (eventArgs.get_item().get_text().indexOf("Folders") != -1 && blnDragging)
	    {
		    var multipage=$find("RadMultiPage1");
		    multipage.set_selectedIndex(eventArgs.get_item().get_index());
	    }
    }  
    function OnClientLoaded(sender, args)
    {
        var splitter = sender;
        var topPane = splitter.getPaneById("<%= RadPaneTV.ClientID %>");
        var bottomPane = splitter.getPaneById("<%= RadPane1.ClientID %>");
        var panelbarElementHeight = $get("<%= RadPanelbar1.ClientID %>").offsetHeight;
        
        var delta = panelbarElementHeight - bottomPane.get_height();
        bottomPane.set_height(panelbarElementHeight);
        topPane.set_height(topPane.get_height() - delta);
        bottomPane.lock();
    }  
    </script>

    <form runat="server" id="mainForm">
        <telerik:RadScriptManager ID="ScriptManager" runat="server" />
        <telerik:RadSplitter ID="RadSplitter1" runat="server" Height="100%" Width="100%"
            Skin="Outlook" VisibleDuringInit="false">
            <telerik:RadPane ID="RadPaneTreeView" runat="server" Scrolling="None" Width="195px"
                Height="100%">
                <telerik:RadSplitter ID="SplitterTreeView" runat="server" Orientation="Horizontal"
                    Skin="Outlook" OnClientLoaded="OnClientLoaded" VisibleDuringInit="false">
                    <telerik:RadPane ID="RadPaneTV" runat="server">
                        <telerik:RadMultiPage ID="RadMultiPage1" runat="server" SelectedIndex="0" BackColor="White"
                            BorderColor="#6593cf" BorderStyle="Solid" Height="80%" BorderWidth="0px" Width="195px">
                            <telerik:RadPageView ID="RadPageView5" runat="server">
                                <div class="qsfexHeader">
                                    Favourite Folders</div>
                                <telerik:RadTreeView ID="RadTreeView3" runat="server" EnableDragAndDrop="true" OnClientNodeDragStart="BeforeDragHandler"
                                    OnClientNodeDropping="BeforeDropHandler" MultipleSelect="True" OnNodeDrop="TreeDrop"
                                    Skin="Office2007" Height="213px" OnLoad="OnTreeLoad">
                                </telerik:RadTreeView>
                            </telerik:RadPageView>
                            <telerik:RadPageView ID="RadPageView6" runat="server">
                                <div class="qsfexHeader">
                                    All Mail Folders</div>
                                <telerik:RadTreeView ID="RadTreeView4" runat="server" EnableDragAndDrop="true" OnClientNodeDragStart="BeforeDragHandler"
                                    OnClientNodeDropping="BeforeDropHandler" MultipleSelect="True" OnNodeDrop="TreeDrop"
                                    Skin="Office2007" Height="213px" OnLoad="OnTreeLoad">
                                </telerik:RadTreeView>
                            </telerik:RadPageView>
                            <telerik:RadPageView ID="RadPageView7" runat="server">
                                <div class="qsfexHeader">
                                    Calendar</div>
                                <telerik:RadCalendar ID="RadCalendar3" runat="server" DayNameFormat="FirstLetter"
                                    Style="margin: 5px auto;" Skin="Office2007">
                                </telerik:RadCalendar>
                            </telerik:RadPageView>
                            <telerik:RadPageView ID="RadPageView8" runat="server">
                                <div class="qsfexHeader">
                                    Others</div>
                                <ul class="qsfexOtherItems">
                                    <li><span class="qsfexLinkImage">
                                        <asp:Image ID="Image4" runat="server" ImageUrl="Img/contactsItems.gif" AlternateText="My Contacts" /></span><asp:HyperLink
                                            ID="HyperLink4" runat="server" NavigateUrl="#">My Contacts</asp:HyperLink></li>
                                    <li><span class="qsfexLinkImage">
                                        <asp:Image ID="Image5" runat="server" ImageUrl="Img/tasksItems.gif" AlternateText="Tasks" /></span><asp:HyperLink
                                            ID="HyperLink5" runat="server" NavigateUrl="#">Tasks</asp:HyperLink></li>
                                    <li><span class="qsfexLinkImage">
                                        <asp:Image ID="Image6" runat="server" ImageUrl="Img/notesItems.gif" AlternateText="Notes" /></span><asp:HyperLink
                                            ID="HyperLink6" runat="server" NavigateUrl="#">Notes</asp:HyperLink></li>
                                </ul>
                            </telerik:RadPageView>
                        </telerik:RadMultiPage>
                        <div style="clear: both; height: 24px">
                        </div>
                    </telerik:RadPane>
                    <telerik:RadSplitBar ID="RadSplitBar1" runat="server" CollapseMode="Forward"></telerik:RadSplitBar>
                    <telerik:RadPane ID="RadPane1" runat="server" Scrolling="None">
                        <telerik:RadPanelBar ID="RadPanelbar1" runat="server" ExpandMode="SingleExpandedItem"
                            OnClientItemClicking="OnClientItemClicking" OnClientMouseOver="panelMouseOver"
                            Skin="Office2007" Width="195px">
                            <Items>
                                <telerik:RadPanelItem Text="Favourite Folders" Expanded="True" ImageUrl="Img/mail.gif">
                                </telerik:RadPanelItem>
                                <telerik:RadPanelItem Text="All Mail Folders" ImageUrl="Img/mail.gif">
                                </telerik:RadPanelItem>
                                <telerik:RadPanelItem Text="Calendar" ImageUrl="Img/calendar.gif">
                                </telerik:RadPanelItem>
                                <telerik:RadPanelItem Text="Others" ImageUrl="Img/contacts.gif">
                                </telerik:RadPanelItem>
                                <telerik:RadPanelItem Text="Others" ImageUrl="Img/contacts.gif">
                                </telerik:RadPanelItem>
                            </Items>
                        </telerik:RadPanelBar>
                    </telerik:RadPane>
                </telerik:RadSplitter>
            </telerik:RadPane>
            <telerik:RadPane ID="mainPane2" runat="server">
            </telerik:RadPane>
        </telerik:RadSplitter>
    </form>
</body>
</html>
